package edu.washington.cs.money;

public class Bank {

	private static CurrencyManipulator m_currency_manipulator;

	public static CurrencyManipulator getCurrencyManipulator() {
		return m_currency_manipulator;
	}

	static {
		m_currency_manipulator = new USDollarsManipulator();
	}

	public static void main(String[] args) {
		
		BankAccount acct = new BankAccount("Mary", 1);
		Money m = new Money(23.5023);
		acct.makeDeposit(m);
		acct.makeDeposit(m);
		Money m2 = new Money(11.2599);
		try {
			acct.makeWithdrawal(m2);
		}
		catch (BankException e) {
			System.out.print(e.getMessage());
			return;
		}
		Money balance = acct.getBalance();
		double amt = balance.getAmount();
		System.out.print(amt);
		
	}

}
